action_production

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.java_cup
Class action_production

    java.lang.Object
      weka.core.parser.java_cup.production
          weka.core.parser.java_cup.action_production

    public class action_production

extends production

A specialized version of a production used when we split an existing production in order to remove an embedded action. Here we keep a bit of extra bookkeeping so that we know where we came from.

Version:
  last updated: 11/25/95
Author:
  Scott Hudson

Constructor Summary
`action_production(production base, non_terminal lhs_sym, production_part[] rhs_parts, int rhs_len, java.lang.String action_str, int indexOfIntermediateResult)` Constructor.

Method Summary
`production` | `base_production()` The production we were taken out of.
`int` | `getIndexOfIntermediateResult()`

Methods inherited from class weka.core.parser.java_cup.production
`action, all, check_first_set, check_nullable, clear, equals, equals, find, first_set, hashCode, index, lhs, note_reduction_use, nullable_known, nullable, num_reductions, number, precedence_num, precedence_side, rhs_length, rhs, set_precedence_num, set_precedence_side, to_simple_string, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### action_production

    public action_production(production base,
                             non_terminal lhs_sym,
                             production_part[] rhs_parts,
                             int rhs_len,
                             java.lang.String action_str,
                             int indexOfIntermediateResult)
                      throws internal_error

  Constructor.

  Parameters:
    `base` - the production we are being factored out of.
    `lhs_sym` - the LHS symbol for this production.
    `rhs_parts` - array of production parts for the RHS.
    `rhs_len` - how much of the rhs_parts array is valid.
    `action_str` - the trailing reduce action for this production.
    `indexOfIntermediateResult` - the index of the result of the previous intermediate action on the stack relative to top, -1 if no previous action
  Throws:
    `internal_error`

Method Detail

### getIndexOfIntermediateResult

    public int getIndexOfIntermediateResult()

  Returns:
    the index of the result of the previous intermediate action on the stack relative to top, -1 if no previous action

### base_production

    public production base_production()

  The production we were taken out of.

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD